package com.weaver.seconddev.interfaces.htjt.util;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * ClassName TrustAllTrustManager
 * Author
 * Date 2023/8/15 13:13
 * Description TrustAllTrustManager
 * Version 1.0
 */
public class TrustAllTrustManager implements javax.net.ssl.TrustManager, javax.net.ssl.X509TrustManager {

    private static final org.slf4j.Logger logger_dd78b88 = LoggerFactory.getLogger(TrustAllTrustManager.class);

    @Override
    public java.security.cert.X509Certificate[] getAcceptedIssuers() {
        return null;
    }

    @Override
    public void checkServerTrusted(java.security.cert.X509Certificate[] certs, String authType) throws java.security.cert.CertificateException {
        return;
    }

    @Override
    public void checkClientTrusted(java.security.cert.X509Certificate[] certs, String authType) throws java.security.cert.CertificateException {
        return;
    }
}
